﻿@model TodoViewModel

<div class="row justify-content-center">
    <div id="form2-container" class="col-12">
        <div class="row justify-content-center">
            <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10 mb-3">
                @{
                    var homeIndexUrl = Url.Action("Index", "Home");
                }
                <form method="get" action="@homeIndexUrl">
                    <input type="submit" class="btn btn-outline-secondary" value="Back" />
                </form>
            </div>
        </div>
    </div>
</div>

<div class="row justify-content-center">
    <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10">
        <table class="table">
            <thead>
                <tr class="table-secondary">
                    <th scope="col">Name</th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var t in Model.ToDos)
                {
                    <tr>
                        <td class="todos-column">@t.Name</td>
                        <td class="buttons-column">
                            <div class="d-flex">
                                <input type="submit" class="btn btn-outline-secondary" value="Unhide" onClick="unhideToDo(@t.Id)" />
                            </div>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>
